# vim: set ft=spec: -*- rpm-spec -*-

%define pkgname rcairo

Name: ruby-%pkgname
Version: 1.8.0
Release: alt2

Summary: ruby bindings for cairo
Group: Development/Ruby
License: GPLv2/Ruby
Url: http://cairographics.org/rcairo
Obsoletes: rcairo < 1.7.0
Provides: rcairo = %version-%release

Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>

Source: %pkgname-%version.tar
Patch: %pkgname-%version-%release.patch

BuildRequires: libcairo-devel libruby-devel ruby-module-English ruby-module-etc libXau-devel libXdmcp-devel libpixman-devel

%description
Ruby bindings for cairo // cairo extension for Ruby.

%package devel
Summary: Development files for %name
Group: Development/Ruby
Requires: %name = %version-%release
PreReq: libruby-devel
Obsoletes: rcairo-devel < 1.7.0
Provides: rcairo-devel = %version-%release

%description devel
Ruby bindings for cairo // cairo extension for Ruby.

This package contains development files.

%prep
%setup -n %pkgname-%version
%patch -p1

%build
%ruby_configure
%make_build

%install
%make_install DESTDIR=%buildroot install

%files
%doc AUTHORS ChangeLog NEWS README
%ruby_sitelibdir/*
%ruby_sitearchdir/*

%files devel
%doc samples
%_includedir/ruby/*/*.h

%changelog
* Fri Dec 12 2008 Kirill A. Shutemov <kas@altlinux.org> 1.8.0-alt2
- Update BuildRequires

* Fri Oct 03 2008 Sir Raorn <raorn@altlinux.ru> 1.8.0-alt1
- [1.8.0]

* Tue Sep 02 2008 Sir Raorn <raorn@altlinux.ru> 1.7.0-alt1
- [1.7.0]
- Package renamed to ruby-rcairo

* Sun Mar 30 2008 Sir Raorn <raorn@altlinux.ru> 1.5.1-alt1
- [1.5.1]

* Thu Jan 25 2007 Sir Raorn <raorn@altlinux.ru> 1.2.0-alt1
- Built for Sisyphus

